Description
In my opinion, moving the links under the dropdown will make the respective actions more obvious for the users and it will cleanup

the sidebar.

Also, with this occasion, I think that we can drop the "View all issues" link because it doesn't add to much value (I've never used it

and every time I'm asking if there is any difference between the link and the "Clear" button).

Any feedback is welcomed.

Related issues:

Related to Redmine - Patch #31640: Add clear query icon next to selected quer... Closed

Related to Redmine - Feature #32520: Issues activity gnats calendar tabs - to... Closed

Related to Redmine - Feature #35645: Request for reconsideration of removal o... New

Copied to Redmine - Patch #31598: Move the links (All time entries, Import) f... Closed

Associated revisions

Revision 18303 - 2019-06-20 18:37 - Jean-Philippe Lang

Move the links from the sidebar under actions dropdown (#30294).

Patch by Marius BALTEANU.

Revision 18304 - 2019-06-20 18:38 - Jean-Philippe Lang

Remove "View all issues" link from actions dropdown (#30294).

Patch by Marius BALTEANU.

Revision 18321 - 2019-06-27 11:55 - Go MAEDA

Fix that actions dropdown menu is missing (#30294).

Patch by Marius BALTEANU.

History

#1 - 2018-12-31 14:14 - Bernhard Rohloff

+1

I also think we can drop the "View all issues" entry and summary makes really more sense in the contextual menu.

#2 - 2019-01-05 07:19 - Marius BĂLTEANU

- File 0001-Move-the-links-from-the-Issues-section-of-the-issues.patch added

- File 0002-Remove-View-all-issues-link-from-actions-dropdown.patch added

Attached the patches.

#3 - 2019-01-23 01:47 - Go MAEDA

- Target version set to Candidate for next major release
#4 - 2019-03-15 10:17 - Marius BĂLTEANU

- Target version changed from Candidate for next major release to 4.1.0

#5 - 2019-06-20 18:38 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Committed, thanks.

#6 - 2019-06-20 20:02 - Bernhard Rohloff

- Status changed from Closed to Reopened

I've tested the latest trunk version (r18308) right now and the dropdown menu is missing. Presumably there went something wrong with the "settings"

patch.

#7 - 2019-06-20 22:41 - Marius BĂLTEANU

- File fix_actions_dropdown.patch added

Bernhard Rohloff wrote:

I've tested the latest trunk version (r18308) right now and the dropdown menu is missing. Presumably there went something wrong with the

"settings" patch.

 Indeed, the patch didn't apply as expected, I've attached the fix. Thanks for catching this issue.

Should we show the Setting icon always after "New issue" link or we should move it under the dropdown? I'm wondering because accessing the

project setting is not a daily action.

#8 - 2019-06-20 22:50 - Marius BĂLTEANU

- Copied to Patch #31598: Move the links (All time entries, Import) from Spent time section of the spent time list sidebar under a dropdown  added

#9 - 2019-06-27 02:22 - Go MAEDA

Members in my team miss the menus in the sidebar, especially "View all issues". I hope this change to be reverted.

"View all issues" was convenient and consistent to reset filters applied by custom queries. You can apply queries in the sidebar but have to move

the mouse cursor to the far "Reset" link when you want to stop filtering by the query. I think it is inconsistent UI

"Import" and "Summary" is hidden in the drop-down menu and hard to find

#10 - 2019-06-27 09:29 - Marius BĂLTEANU

- File clear_custom_query.png added

I understand your  concerns, but please let me disagree with your proposal regarding reverting this change.

Go MAEDA wrote:

Members in my team miss the menus in the sidebar, especially "View all issues". I hope this change to be reverted.

"View all issues" was convenient and consistent to reset filters applied by custom queries. You can apply queries in the sidebar but have to

move the mouse cursor to the far "Reset" link when you want to stop filtering by the query. I think it is inconsistent UI

 For me, "View all issues" doesn't make any connection to "Reset" filters. Regarding the distance, because not everyone uses a vanilla Redmine

instance, I can send you in private a screenshot from my instance to see how big is the distance between custom queries and those links from the top

of the sidebar.

"Import" and "Summary" is hidden in the drop-down menu and hard to find

 There are too many places with links and I think we should really find better solutions. For example, why the new "Settings" link should be in the

contextual block (next to "New issue") and "Import" and "Summary" not? How we decide which one should be where? Is "Import" so often used in

order to be displayed every time? Displaying somewhere on page a link it makes the link easier to find instead of grouping the links in the same

area(s)? We should be aware that Redmine is used also by new users without years of experience and who are used with some old links.

What do you think about the following proposals?

1. We commit the fix from my previous note.
2. We add a proper "Clear" link next to the selected custom query.

 clear_custom_query.png 

3. We discuss about which link and how many links should be displayed next to "New issue"? Maybe it's better to have "New issue" and "Summary"

displayed and "Import" and "Settings" under the dropdown.

#11 - 2019-06-27 10:24 - Go MAEDA

Marius BALTEANU wrote:

What do you think about the following proposals?

1. We commit the fix from my previous note.

 Yes, I think it is necessary.

2. We add a proper "Clear" link next to the selected custom query.

 clear_custom_query.png 

 It is the biggest problem for me that we have to move the mouse pointer for long distances, from the sidebar to "Clear" link. But I think it is not too late

to work on adding a new "Clear" link after releasing 4.1.0. Maybe we can get some feedback if they don't like it.

3. We discuss about which link and how many links should be displayed next to "New issue"? Maybe it's better to have "New issue" and

"Summary" displayed and "Import" and "Settings" under the dropdown.

 I don't like to hide "Summary" and "Import" under the drop-down, but it is acceptable. But I think the "Setting" link should be always shown because

hiding "Setting" only in isuses list page breaks consistency with other pages such as Overview, Roadmap and Spent time.

#12 - 2019-06-27 10:27 - Marius BĂLTEANU

Go MAEDA wrote:

It is the biggest problem for me that we have to move the mouse pointer for long distances, from the sidebar to "Clear" link. But I think it is not

too late to work on adding a new "Clear" link after releasing 4.1.0. Maybe we can get some feedback if they don't like it.

 The change is small, it can be included in 4.1.0, I'll add the patch soon.

#13 - 2019-06-27 10:38 - Bernhard Rohloff

I like Marius' proposal very much. IMHO it makes more sense to me to have a reset button next to the query. I also think it's more intuitive and easier

to find for new users. I also think it's a good idea to leave the settings icon visible as it's only displayed for specific roles and should be consistent for

every view.

#14 - 2019-06-27 11:57 - Go MAEDA

Committed the fix #30294#note-7 in r18321. Thank you.

#15 - 2019-06-29 13:46 - Marius BĂLTEANU

- Status changed from Reopened to Closed

Marius BALTEANU wrote:

The change is small, it can be included in 4.1.0, I'll add the patch soon.

 Patch added to #31640.

#16 - 2019-06-29 13:46 - Marius BĂLTEANU

- Related to Patch #31640: Add clear query icon next to selected query in sidebar added

#17 - 2019-11-27 18:09 - Marius BĂLTEANU

- Related to Feature #32520: Issues activity gnats calendar tabs - too much real estate in high hand panel added

#18 - 2021-07-31 02:41 - Go MAEDA

- Related to Feature #35645: Request for reconsideration of removal of 'View all issues' link added

#19 - 2021-08-04 18:17 - Mischa The Evil

FTR: For anyone coming to this issue due to missing the 'View all issues' link in the sidebar, I've created a small plugin that restores (only) this
specific link on the issues show view only. You can find it in the plugin directory.
